#include<bits/stdc++.h>
#define NAME "tamgiac."
using namespace std;
ifstream fi(NAME"inp");
ofstream fo(NAME"out");
int main(){
double a,b;
fi>>a>>b;
fo<<fixed<<setprecision(2)<<sqrt(abs(a*a-b*b));
}
